<?php

// This file has been auto-generated by the COPS Input\Route class.

$handlers = [
  'html' => 'SebLucas\\Cops\\Handlers\\HtmlHandler',
  'feed' => 'SebLucas\\Cops\\Handlers\\FeedHandler',
  'json' => 'SebLucas\\Cops\\Handlers\\JsonHandler',
  'fetch' => 'SebLucas\\Cops\\Handlers\\FetchHandler',
  'read' => 'SebLucas\\Cops\\Handlers\\ReadHandler',
  'epubfs' => 'SebLucas\\Cops\\Handlers\\EpubFsHandler',
  'restapi' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
  'check' => 'SebLucas\\Cops\\Handlers\\CheckHandler',
  'opds' => 'SebLucas\\Cops\\Handlers\\OpdsHandler',
  'loader' => 'SebLucas\\Cops\\Handlers\\LoaderHandler',
  'zipper' => 'SebLucas\\Cops\\Handlers\\ZipperHandler',
  'calres' => 'SebLucas\\Cops\\Handlers\\CalResHandler',
  'zipfs' => 'SebLucas\\Cops\\Handlers\\ZipFsHandler',
  'mail' => 'SebLucas\\Cops\\Handlers\\MailHandler',
  'graphql' => 'SebLucas\\Cops\\Handlers\\GraphQLHandler',
  'tables' => 'SebLucas\\Cops\\Handlers\\TableHandler',
  'error' => 'SebLucas\\Cops\\Handlers\\ErrorHandler',
  'phpunit' => 'SebLucas\\Cops\\Handlers\\TestHandler',
];

$static = [
  '/index' => 'page-index',
  '/authors/letter' => 'page-authors-letters',
  '/authors' => 'page-authors',
  '/books/letter' => 'page-books-letters',
  '/books/year' => 'page-books-years',
  '/books' => 'page-books',
  '/series/letter' => 'page-series-letters',
  '/series' => 'page-series',
  '/typeahead' => 'page-typeahead',
  '/search' => 'page-search',
  '/recent' => 'page-recent',
  '/tags/letter' => 'page-tags-letters',
  '/tags' => 'page-tags',
  '/about' => 'page-about',
  '/languages' => 'page-languages',
  '/customize' => 'page-customize',
  '/publishers/letter' => 'page-publishers-letters',
  '/publishers' => 'page-publishers',
  '/ratings' => 'page-ratings',
  '/identifiers' => 'page-identifiers',
  '/formats' => 'page-formats',
  '/libraries' => 'page-libraries',
  '/filter' => 'page-filter',
  '/feed/search' => 'feed-search',
  '/feed' => 'feed',
  '/restapi/custom' => 'restapi-customtypes',
  '/restapi/databases' => 'restapi-databases',
  '/restapi/openapi' => 'restapi-openapi',
  '/restapi/routes' => 'restapi-route',
  '/restapi/handlers' => 'restapi-handler',
  '/restapi/notes' => 'restapi-notes',
  '/restapi/preferences' => 'restapi-preferences',
  '/restapi/annotations' => 'restapi-annotations',
  '/restapi/user/details' => 'restapi-user-details',
  '/restapi/user' => 'restapi-user',
  '/check' => 'check',
  '/opds/search' => 'opds-search',
  '/opds' => 'opds',
  '/loader' => 'loader',
  '/mail' => 'mail',
  '/graphql' => 'graphql',
  '/tables' => 'tables',
  '/test' => 'test',
];

$routes = [
  'page-index' => [
    '/index',
    [
      'page' => 'index',
      '_route' => 'page-index',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-authors-letter' => [
    '/authors/letter/{letter}',
    [
      'page' => 'authors_letter',
      '_route' => 'page-authors-letter',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-authors-letters' => [
    '/authors/letter',
    [
      'page' => 'authors',
      'letter' => 1,
      '_route' => 'page-authors-letters',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-author' => [
    '/authors/{id:\\d+}/{title}',
    [
      'page' => 'author',
      '_route' => 'page-author',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-author-id' => [
    '/authors/{id:\\d+}',
    [
      'page' => 'author',
      '_route' => 'page-author-id',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-authors' => [
    '/authors',
    [
      'page' => 'authors',
      '_route' => 'page-authors',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-books-letter' => [
    '/books/letter/{letter:\\w}',
    [
      'page' => 'books_letter',
      '_route' => 'page-books-letter',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-books-letters' => [
    '/books/letter',
    [
      'page' => 'books',
      'letter' => 1,
      '_route' => 'page-books-letters',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-books-year' => [
    '/books/year/{year:\\d+}',
    [
      'page' => 'books_year',
      '_route' => 'page-books-year',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-books-years' => [
    '/books/year',
    [
      'page' => 'books',
      'year' => 1,
      '_route' => 'page-books-years',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-book' => [
    '/books/{id:\\d+}/{author}/{title}',
    [
      'page' => 'book',
      '_route' => 'page-book',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-book-id' => [
    '/books/{id:\\d+}',
    [
      'page' => 'book',
      '_route' => 'page-book-id',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-books' => [
    '/books',
    [
      'page' => 'books',
      '_route' => 'page-books',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-series-letter' => [
    '/series/letter/{letter}',
    [
      'page' => 'series_letter',
      '_route' => 'page-series-letter',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-series-letters' => [
    '/series/letter',
    [
      'page' => 'series',
      'letter' => 1,
      '_route' => 'page-series-letters',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-serie' => [
    '/series/{id:\\d+}/{title}',
    [
      'page' => 'serie',
      '_route' => 'page-serie',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-serie-id' => [
    '/series/{id:\\d+}',
    [
      'page' => 'serie',
      '_route' => 'page-serie-id',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-series' => [
    '/series',
    [
      'page' => 'series',
      '_route' => 'page-series',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-typeahead' => [
    '/typeahead',
    [
      'page' => 'query',
      'search' => 1,
      '_route' => 'page-typeahead',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-query-scope' => [
    '/search/{query}/{scope}',
    [
      'page' => 'query',
      '_route' => 'page-query-scope',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-query' => [
    '/search/{query}',
    [
      'page' => 'query',
      '_route' => 'page-query',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-search' => [
    '/search',
    [
      'page' => 'opensearch',
      '_route' => 'page-search',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-recent' => [
    '/recent',
    [
      'page' => 'recent',
      '_route' => 'page-recent',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-tags-letter' => [
    '/tags/letter/{letter}',
    [
      'page' => 'tags_letter',
      '_route' => 'page-tags-letter',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-tags-letters' => [
    '/tags/letter',
    [
      'page' => 'tags',
      'letter' => 1,
      '_route' => 'page-tags-letters',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-tag' => [
    '/tags/{id:\\d+}/{title}',
    [
      'page' => 'tag',
      '_route' => 'page-tag',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-tag-id' => [
    '/tags/{id:\\d+}',
    [
      'page' => 'tag',
      '_route' => 'page-tag-id',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-tags' => [
    '/tags',
    [
      'page' => 'tags',
      '_route' => 'page-tags',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-custom' => [
    '/custom/{custom:\\d+}/{id}',
    [
      'page' => 'custom',
      '_route' => 'page-custom',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-customtype' => [
    '/custom/{custom:\\d+}',
    [
      'page' => 'customtype',
      '_route' => 'page-customtype',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-about' => [
    '/about',
    [
      'page' => 'about',
      '_route' => 'page-about',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-language' => [
    '/languages/{id:\\d+}/{title}',
    [
      'page' => 'language',
      '_route' => 'page-language',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-language-id' => [
    '/languages/{id:\\d+}',
    [
      'page' => 'language',
      '_route' => 'page-language-id',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-languages' => [
    '/languages',
    [
      'page' => 'languages',
      '_route' => 'page-languages',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-customize' => [
    '/customize',
    [
      'page' => 'customize',
      '_route' => 'page-customize',
    ],
    [
      'GET',
      'POST',
    ],
    [],
  ],
  'page-publishers-letter' => [
    '/publishers/letter/{letter}',
    [
      'page' => 'publishers_letter',
      '_route' => 'page-publishers-letter',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-publishers-letters' => [
    '/publishers/letter',
    [
      'page' => 'publishers',
      'letter' => 1,
      '_route' => 'page-publishers-letters',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-publisher' => [
    '/publishers/{id:\\d+}/{title}',
    [
      'page' => 'publisher',
      '_route' => 'page-publisher',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-publisher-id' => [
    '/publishers/{id:\\d+}',
    [
      'page' => 'publisher',
      '_route' => 'page-publisher-id',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-publishers' => [
    '/publishers',
    [
      'page' => 'publishers',
      '_route' => 'page-publishers',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-rating' => [
    '/ratings/{id:\\d+}/{title}',
    [
      'page' => 'rating',
      '_route' => 'page-rating',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-rating-id' => [
    '/ratings/{id:\\d+}',
    [
      'page' => 'rating',
      '_route' => 'page-rating-id',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-ratings' => [
    '/ratings',
    [
      'page' => 'ratings',
      '_route' => 'page-ratings',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-identifier' => [
    '/identifiers/{id:\\w+}/{title}',
    [
      'page' => 'identifier',
      '_route' => 'page-identifier',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-identifier-id' => [
    '/identifiers/{id:\\w+}',
    [
      'page' => 'identifier',
      '_route' => 'page-identifier-id',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-identifiers' => [
    '/identifiers',
    [
      'page' => 'identifiers',
      '_route' => 'page-identifiers',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-format' => [
    '/formats/{id:\\w+}',
    [
      'page' => 'format',
      '_route' => 'page-format',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-formats' => [
    '/formats',
    [
      'page' => 'formats',
      '_route' => 'page-formats',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-libraries' => [
    '/libraries',
    [
      'page' => 'libraries',
      '_route' => 'page-libraries',
    ],
    [
      'GET',
    ],
    [],
  ],
  'page-filter' => [
    '/filter',
    [
      'page' => 'filter',
      '_route' => 'page-filter',
    ],
    [
      'GET',
      'POST',
    ],
    [],
  ],
  'feed-search' => [
    '/feed/search',
    [
      'page' => 'search',
      '_handler' => 'SebLucas\\Cops\\Handlers\\FeedHandler',
      '_route' => 'feed-search',
    ],
    [
      'GET',
    ],
    [],
  ],
  'feed-page' => [
    '/feed/{page:\\w+}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\FeedHandler',
      '_route' => 'feed-page',
    ],
    [
      'GET',
    ],
    [],
  ],
  'feed-path' => [
    '/feed/{path:.+}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\FeedHandler',
      '_route' => 'feed-path',
    ],
    [
      'GET',
    ],
    [],
  ],
  'feed' => [
    '/feed',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\FeedHandler',
      '_route' => 'feed',
    ],
    [
      'GET',
    ],
    [],
  ],
  'fetch-file' => [
    '/files/{db:\\d+}/{id:\\d+}/{file:.+}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\FetchHandler',
      '_route' => 'fetch-file',
    ],
    [
      'GET',
    ],
    [],
  ],
  'fetch-thumb' => [
    '/thumbs/{db:\\d+}/{id:\\d+}/{thumb}.jpg',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\FetchHandler',
      '_route' => 'fetch-thumb',
    ],
    [
      'GET',
    ],
    [],
  ],
  'fetch-cover' => [
    '/covers/{db:\\d+}/{id:\\d+}.jpg',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\FetchHandler',
      '_route' => 'fetch-cover',
    ],
    [
      'GET',
    ],
    [],
  ],
  'fetch-inline' => [
    '/inline/{db:\\d+}/{data:\\d+}/{ignore}.{type}',
    [
      'view' => 1,
      '_handler' => 'SebLucas\\Cops\\Handlers\\FetchHandler',
      '_route' => 'fetch-inline',
    ],
    [
      'GET',
    ],
    [],
  ],
  'fetch-data' => [
    '/fetch/{db:\\d+}/{data:\\d+}/{ignore}.{type}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\FetchHandler',
      '_route' => 'fetch-data',
    ],
    [
      'GET',
    ],
    [],
  ],
  'fetch-view' => [
    '/view/{data}/{db}/{ignore}.{type}',
    [
      'view' => 1,
      '_handler' => 'SebLucas\\Cops\\Handlers\\FetchHandler',
      '_route' => 'fetch-view',
    ],
    [
      'GET',
    ],
    [],
  ],
  'fetch-download' => [
    '/download/{data}/{db}/{ignore}.{type}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\FetchHandler',
      '_route' => 'fetch-download',
    ],
    [
      'GET',
    ],
    [],
  ],
  'read-title' => [
    '/read/{db:\\d+}/{data:\\d+}/{title}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\ReadHandler',
      '_route' => 'read-title',
    ],
    [
      'GET',
    ],
    [],
  ],
  'read' => [
    '/read/{db:\\d+}/{data:\\d+}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\ReadHandler',
      '_route' => 'read',
    ],
    [
      'GET',
    ],
    [],
  ],
  'epubfs' => [
    '/epubfs/{db:\\d+}/{data:\\d+}/{comp:.+}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\EpubFsHandler',
      '_route' => 'epubfs',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-customtypes' => [
    '/restapi/custom',
    [
      '_resource' => 'CustomColumnType',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-customtypes',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-database-table' => [
    '/restapi/databases/{db}/{name}',
    [
      '_resource' => 'Database',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-database-table',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-database' => [
    '/restapi/databases/{db}',
    [
      '_resource' => 'Database',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-database',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-databases' => [
    '/restapi/databases',
    [
      '_resource' => 'Database',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-databases',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-openapi' => [
    '/restapi/openapi',
    [
      '_resource' => 'openapi',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-openapi',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-route' => [
    '/restapi/routes',
    [
      '_resource' => 'route',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-route',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-handler' => [
    '/restapi/handlers',
    [
      '_resource' => 'handler',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-handler',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-note' => [
    '/restapi/notes/{type}/{item}/{title}',
    [
      '_resource' => 'Note',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-note',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-notes-type-id' => [
    '/restapi/notes/{type}/{item}',
    [
      '_resource' => 'Note',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-notes-type-id',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-notes-type' => [
    '/restapi/notes/{type}',
    [
      '_resource' => 'Note',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-notes-type',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-notes' => [
    '/restapi/notes',
    [
      '_resource' => 'Note',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-notes',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-preference' => [
    '/restapi/preferences/{key}',
    [
      '_resource' => 'Preference',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-preference',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-preferences' => [
    '/restapi/preferences',
    [
      '_resource' => 'Preference',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-preferences',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-annotation' => [
    '/restapi/annotations/{bookId}/{id}',
    [
      '_resource' => 'Annotation',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-annotation',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-annotations-book' => [
    '/restapi/annotations/{bookId}',
    [
      '_resource' => 'Annotation',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-annotations-book',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-annotations' => [
    '/restapi/annotations',
    [
      '_resource' => 'Annotation',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-annotations',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-metadata-element-name' => [
    '/restapi/metadata/{bookId}/{element}/{name}',
    [
      '_resource' => 'Metadata',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-metadata-element-name',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-metadata-element' => [
    '/restapi/metadata/{bookId}/{element}',
    [
      '_resource' => 'Metadata',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-metadata-element',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-metadata' => [
    '/restapi/metadata/{bookId}',
    [
      '_resource' => 'Metadata',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-metadata',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-user-details' => [
    '/restapi/user/details',
    [
      '_resource' => 'User',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-user-details',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-user' => [
    '/restapi/user',
    [
      '_resource' => 'User',
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-user',
    ],
    [
      'GET',
    ],
    [],
  ],
  'restapi-path' => [
    '/restapi/{path:.*}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\RestApiHandler',
      '_route' => 'restapi-path',
    ],
    [
      'GET',
    ],
    [],
  ],
  'check-more' => [
    '/check/{more:.*}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\CheckHandler',
      '_route' => 'check-more',
    ],
    [
      'GET',
    ],
    [],
  ],
  'check' => [
    '/check',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\CheckHandler',
      '_route' => 'check',
    ],
    [
      'GET',
    ],
    [],
  ],
  'opds-search' => [
    '/opds/search',
    [
      'page' => 'search',
      '_handler' => 'SebLucas\\Cops\\Handlers\\OpdsHandler',
      '_route' => 'opds-search',
    ],
    [
      'GET',
    ],
    [],
  ],
  'opds-page' => [
    '/opds/{page:\\w+}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\OpdsHandler',
      '_route' => 'opds-page',
    ],
    [
      'GET',
    ],
    [],
  ],
  'opds-path' => [
    '/opds/{path:.*}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\OpdsHandler',
      '_route' => 'opds-path',
    ],
    [
      'GET',
    ],
    [],
  ],
  'opds' => [
    '/opds',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\OpdsHandler',
      '_route' => 'opds',
    ],
    [
      'GET',
    ],
    [],
  ],
  'loader-action-dbNum-authorId-urlPath' => [
    '/loader/{action}/{dbNum:\\d+}/{authorId:\\w+}/{urlPath:.*}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\LoaderHandler',
      '_route' => 'loader-action-dbNum-authorId-urlPath',
    ],
    [
      'GET',
    ],
    [],
  ],
  'loader-action-dbNum-authorId' => [
    '/loader/{action}/{dbNum:\\d+}/{authorId:\\w*}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\LoaderHandler',
      '_route' => 'loader-action-dbNum-authorId',
    ],
    [
      'GET',
    ],
    [],
  ],
  'loader-action-dbNum' => [
    '/loader/{action}/{dbNum:\\d+}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\LoaderHandler',
      '_route' => 'loader-action-dbNum',
    ],
    [
      'GET',
    ],
    [],
  ],
  'loader-action-' => [
    '/loader/{action}/',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\LoaderHandler',
      '_route' => 'loader-action-',
    ],
    [
      'GET',
    ],
    [],
  ],
  'loader-action' => [
    '/loader/{action}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\LoaderHandler',
      '_route' => 'loader-action',
    ],
    [
      'GET',
    ],
    [],
  ],
  'loader' => [
    '/loader',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\LoaderHandler',
      '_route' => 'loader',
    ],
    [
      'GET',
    ],
    [],
  ],
  'zipper-page-id-type' => [
    '/zipper/{page}/{id}/{type}.zip',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\ZipperHandler',
      '_route' => 'zipper-page-id-type',
    ],
    [
      'GET',
    ],
    [],
  ],
  'zipper-page-type' => [
    '/zipper/{page}/{type}.zip',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\ZipperHandler',
      '_route' => 'zipper-page-type',
    ],
    [
      'GET',
    ],
    [],
  ],
  'calres' => [
    '/calres/{db:\\d+}/{alg}/{digest}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\CalResHandler',
      '_route' => 'calres',
    ],
    [
      'GET',
    ],
    [],
  ],
  'zipfs' => [
    '/zipfs/{db:\\d+}/{data:\\d+}/{comp:.+}',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\ZipFsHandler',
      '_route' => 'zipfs',
    ],
    [
      'GET',
    ],
    [],
  ],
  'mail' => [
    '/mail',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\MailHandler',
      '_route' => 'mail',
    ],
    [
      'POST',
    ],
    [],
  ],
  'graphql' => [
    '/graphql',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\GraphQLHandler',
      '_route' => 'graphql',
    ],
    [
      'GET',
      'POST',
    ],
    [],
  ],
  'tables' => [
    '/tables',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\TableHandler',
      '_route' => 'tables',
    ],
    [
      'GET',
    ],
    [],
  ],
  'test' => [
    '/test',
    [
      '_handler' => 'SebLucas\\Cops\\Handlers\\TestHandler',
      '_route' => 'test',
    ],
    [
      'GET',
    ],
    [],
  ],
];

return [
    'handlers' => $handlers,
    'static' => $static,
    'routes' => $routes,
];
